package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BusPatientMapper;
import com.ruoyi.system.domain.BusPatient;
import com.ruoyi.system.service.IBusPatientService;

/**
 * 患者Service业务层处理
 * 
 * @author zsl
 * @date 2022-06-02
 */
@Service
public class BusPatientServiceImpl implements IBusPatientService 
{
    @Autowired
    private BusPatientMapper busPatientMapper;

    /**
     * 查询患者
     * 
     * @param id 患者主键
     * @return 患者
     */
    @Override
    public BusPatient selectBusPatientById(Long id)
    {
        return busPatientMapper.selectBusPatientById(id);
    }

    /**
     * 查询患者列表
     * 
     * @param busPatient 患者
     * @return 患者
     */
    @Override
    public List<BusPatient> selectBusPatientList(BusPatient busPatient)
    {
        return busPatientMapper.selectBusPatientList(busPatient);
    }

    /**
     * 新增患者
     * 
     * @param busPatient 患者
     * @return 结果
     */
    @Override
    public int insertBusPatient(BusPatient busPatient)
    {
        busPatient.setCreateTime(DateUtils.getNowDate());
        return busPatientMapper.insertBusPatient(busPatient);
    }

    /**
     * 修改患者
     * 
     * @param busPatient 患者
     * @return 结果
     */
    @Override
    public int updateBusPatient(BusPatient busPatient)
    {
        return busPatientMapper.updateBusPatient(busPatient);
    }

    /**
     * 批量删除患者
     * 
     * @param ids 需要删除的患者主键
     * @return 结果
     */
    @Override
    public int deleteBusPatientByIds(Long[] ids)
    {
        return busPatientMapper.deleteBusPatientByIds(ids);
    }

    /**
     * 删除患者信息
     * 
     * @param id 患者主键
     * @return 结果
     */
    @Override
    public int deleteBusPatientById(Long id)
    {
        return busPatientMapper.deleteBusPatientById(id);
    }
}
